Skip to main content
GET
/
applications
/
{applicationId}
/
kyc-profile
Retrieve verified KYC profile for an application
curl --request GET \
  --url https://api.equalsmoney.com/v2/applications/{applicationId}/kyc-profile \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.equalsmoney.com/v2/applications/{applicationId}/kyc-profile"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.equalsmoney.com/v2/applications/{applicationId}/kyc-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "applicationId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "kycProfile": [
    {
      "idType": "PASSPORT",
      "idNumber": "123456789",
      "expiryDate": "2030-06-15",
      "issueDate": "2020-06-15",
      "issuerCountry": "GB"
    }
  ],
  "verifiedAt": "2026-04-01T10:30:00.000Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

applicationId
string<uuid>
required

The ID of the application to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Response

200 - application/json

OK

applicationId
string<uuid>
required

The ID of the application to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

kycProfile
object[]
required
verifiedAt
string<date-time> | null
required

Timestamp at which the identity was verified (ISO 8601 datetime).

Example:

"2026-04-01T10:30:00.000Z"